{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_data)"
                    ]
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_data.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[2])/$(inputs.tree[0])/"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl/PATH"
                },
                {
                    "type": "File",
                    "id": "#cp_file.cwl/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl/tree"
                }
            ],
            "id": "#cp_file.cwl",
            "hints": [
                {
                    "class": "LoadListingRequirement",
                    "loadListing": "deep_listing"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                }
            ],
            "outputs": []
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/PATH"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl/in_2bi"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl/in_dummy"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/tree"
                }
            ],
            "steps": [
                {
                    "run": "#cp_file.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/PATH",
                            "id": "#workflow.cwl/cp_2bi/PATH"
                        },
                        {
                            "source": "#workflow.cwl/in_2bi",
                            "id": "#workflow.cwl/cp_2bi/in_data"
                        },
                        {
                            "source": "#workflow.cwl/tree",
                            "id": "#workflow.cwl/cp_2bi/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl/cp_2bi"
                }
            ],
            "outputs": [],
            "id": "#workflow.cwl",
            "hints": [
                {
                    "class": "LoadListingRequirement",
                    "loadListing": "deep_listing"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "hints": [
                {
                    "class": "LoadListingRequirement",
                    "loadListing": "deep_listing"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                },
                {
                    "loadListing": "shallow_listing",
                    "class": "LoadListingRequirement"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-r",
                    "valueFrom": "$(inputs.in_data.location.slice(7))"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH[0])/"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_dir.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_dir.cwl/deepPATH"
                },
                {
                    "type": "Directory",
                    "id": "#cp_dir.cwl/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_dir.cwl/tree"
                }
            ],
            "outputs": [],
            "id": "#cp_dir.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_data)"
                    ]
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_data.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH[0])/"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl_2/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl_2/deepPATH"
                },
                {
                    "type": "File",
                    "id": "#cp_file.cwl_2/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl_2/tree"
                }
            ],
            "outputs": [],
            "id": "#cp_file.cwl_2",
            "hints": [
                {
                    "class": "LoadListingRequirement",
                    "loadListing": "deep_listing"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_data)"
                    ]
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_data.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_1[0])/$(inputs.deepPATH_2[0])/$(inputs.tree[2])"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file_4_annotation.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file_4_annotation.cwl/deepPATH_1"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file_4_annotation.cwl/deepPATH_2"
                },
                {
                    "type": "File",
                    "id": "#cp_file_4_annotation.cwl/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file_4_annotation.cwl/tree"
                }
            ],
            "outputs": [],
            "id": "#cp_file_4_annotation.cwl",
            "hints": [
                {
                    "class": "LoadListingRequirement",
                    "loadListing": "deep_listing"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_2/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_2/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_2/deepPATH_apollo2_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_2/deepPATH_bigwig"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_2/deepPATH_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/gap_lines"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/in_assembly_readme"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/in_cds_fasta"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/in_dummy"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#workflow.cwl_2/in_gaps_bigwig"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/in_gc_bigwig"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/in_genePrediction_readme"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/in_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/in_genomic_gff"
                },
                {
                    "type": "Directory",
                    "id": "#workflow.cwl_2/in_names"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#workflow.cwl_2/in_protein_fasta"
                },
                {
                    "type": "Directory",
                    "id": "#workflow.cwl_2/in_seq"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/in_trackList_json"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/in_trackList_json_bak"
                },
                {
                    "type": "Directory",
                    "id": "#workflow.cwl_2/in_tracks"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/in_tracks_conf"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/in_transcript_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_2/tree"
                }
            ],
            "steps": [
                {
                    "run": "#cp_file.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_assembly_readme/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_2/cp_assembly_readme/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_2/in_assembly_readme",
                            "id": "#workflow.cwl_2/cp_assembly_readme/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_assembly_readme/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_assembly_readme"
                },
                {
                    "run": "#cp_file_4_annotation.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_cds_fasta/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_2/cp_cds_fasta/deepPATH_1"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_analyses",
                            "id": "#workflow.cwl_2/cp_cds_fasta/deepPATH_2"
                        },
                        {
                            "source": "#workflow.cwl_2/in_cds_fasta",
                            "id": "#workflow.cwl_2/cp_cds_fasta/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_cds_fasta/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_cds_fasta"
                },
                {
                    "run": "#cp_file.cwl_2",
                    "when": "$(inputs.gap_lines.size > 0)",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_gaps_bigwig/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_bigwig",
                            "id": "#workflow.cwl_2/cp_gaps_bigwig/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_2/gap_lines",
                            "id": "#workflow.cwl_2/cp_gaps_bigwig/gap_lines"
                        },
                        {
                            "source": "#workflow.cwl_2/in_gaps_bigwig",
                            "id": "#workflow.cwl_2/cp_gaps_bigwig/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_gaps_bigwig/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_gaps_bigwig"
                },
                {
                    "run": "#cp_file.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_gc_bigwig/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_bigwig",
                            "id": "#workflow.cwl_2/cp_gc_bigwig/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_2/in_gc_bigwig",
                            "id": "#workflow.cwl_2/cp_gc_bigwig/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_gc_bigwig/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_gc_bigwig"
                },
                {
                    "run": "#cp_file_4_annotation.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_genePrediction_readme/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_2/cp_genePrediction_readme/deepPATH_1"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_analyses",
                            "id": "#workflow.cwl_2/cp_genePrediction_readme/deepPATH_2"
                        },
                        {
                            "source": "#workflow.cwl_2/in_genePrediction_readme",
                            "id": "#workflow.cwl_2/cp_genePrediction_readme/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_genePrediction_readme/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_genePrediction_readme"
                },
                {
                    "run": "#cp_file.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_genomic_fasta/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_2/cp_genomic_fasta/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_2/in_genomic_fasta",
                            "id": "#workflow.cwl_2/cp_genomic_fasta/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_genomic_fasta/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_genomic_fasta"
                },
                {
                    "run": "#cp_file_4_annotation.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_genomic_gff/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_2/cp_genomic_gff/deepPATH_1"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_analyses",
                            "id": "#workflow.cwl_2/cp_genomic_gff/deepPATH_2"
                        },
                        {
                            "source": "#workflow.cwl_2/in_genomic_gff",
                            "id": "#workflow.cwl_2/cp_genomic_gff/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_genomic_gff/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_genomic_gff"
                },
                {
                    "run": "#cp_dir.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_names/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_apollo2_data",
                            "id": "#workflow.cwl_2/cp_names/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_2/in_names",
                            "id": "#workflow.cwl_2/cp_names/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_names/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_names"
                },
                {
                    "run": "#cp_file_4_annotation.cwl",
                    "scatter": "#workflow.cwl_2/cp_protein_fasta/in_data",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_protein_fasta/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_2/cp_protein_fasta/deepPATH_1"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_analyses",
                            "id": "#workflow.cwl_2/cp_protein_fasta/deepPATH_2"
                        },
                        {
                            "source": "#workflow.cwl_2/in_protein_fasta",
                            "id": "#workflow.cwl_2/cp_protein_fasta/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_protein_fasta/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_protein_fasta"
                },
                {
                    "run": "#cp_dir.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_seq/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_apollo2_data",
                            "id": "#workflow.cwl_2/cp_seq/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_2/in_seq",
                            "id": "#workflow.cwl_2/cp_seq/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_seq/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_seq"
                },
                {
                    "run": "#cp_file.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_trackList_json/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_apollo2_data",
                            "id": "#workflow.cwl_2/cp_trackList_json/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_2/in_trackList_json",
                            "id": "#workflow.cwl_2/cp_trackList_json/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_trackList_json/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_trackList_json"
                },
                {
                    "run": "#cp_file.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_trackList_json_bak/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_apollo2_data",
                            "id": "#workflow.cwl_2/cp_trackList_json_bak/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_2/in_trackList_json_bak",
                            "id": "#workflow.cwl_2/cp_trackList_json_bak/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_trackList_json_bak/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_trackList_json_bak"
                },
                {
                    "run": "#cp_dir.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_tracks/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_apollo2_data",
                            "id": "#workflow.cwl_2/cp_tracks/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_2/in_tracks",
                            "id": "#workflow.cwl_2/cp_tracks/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_tracks/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_tracks"
                },
                {
                    "run": "#cp_file.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_tracks_conf/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_apollo2_data",
                            "id": "#workflow.cwl_2/cp_tracks_conf/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_2/in_tracks_conf",
                            "id": "#workflow.cwl_2/cp_tracks_conf/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_tracks_conf/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_tracks_conf"
                },
                {
                    "run": "#cp_file_4_annotation.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_transcript_fasta/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_2/cp_transcript_fasta/deepPATH_1"
                        },
                        {
                            "source": "#workflow.cwl_2/deepPATH_analyses",
                            "id": "#workflow.cwl_2/cp_transcript_fasta/deepPATH_2"
                        },
                        {
                            "source": "#workflow.cwl_2/in_transcript_fasta",
                            "id": "#workflow.cwl_2/cp_transcript_fasta/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_transcript_fasta/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_transcript_fasta"
                }
            ],
            "outputs": [],
            "id": "#workflow.cwl_2"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_data)"
                    ]
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_data.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[1])/$(inputs.tree[0])/$(inputs.tree[1])/"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl_3/PATH"
                },
                {
                    "type": "File",
                    "id": "#cp_file.cwl_3/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl_3/tree"
                }
            ],
            "outputs": [],
            "id": "#cp_file.cwl_3",
            "hints": [
                {
                    "class": "LoadListingRequirement",
                    "loadListing": "deep_listing"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_3/PATH"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_check"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_dummy"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_extract"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_md5checksums"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_3/tree"
                }
            ],
            "steps": [
                {
                    "run": "#cp_file.cwl_3",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_check/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/in_check",
                            "id": "#workflow.cwl_3/cp_check/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_check/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_check"
                },
                {
                    "run": "#cp_file.cwl_3",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_extract/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/in_extract",
                            "id": "#workflow.cwl_3/cp_extract/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_extract/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_extract"
                },
                {
                    "run": "#cp_file.cwl_3",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_md5checksums/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/in_md5checksums",
                            "id": "#workflow.cwl_3/cp_md5checksums/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_md5checksums/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_md5checksums"
                }
            ],
            "outputs": [],
            "id": "#workflow.cwl_3",
            "hints": [
                {
                    "class": "LoadListingRequirement",
                    "loadListing": "deep_listing"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "ln"
            ],
            "arguments": [
                {
                    "prefix": "-si",
                    "position": 1,
                    "valueFrom": "../../scaffold/analyses"
                },
                {
                    "prefix": "-t",
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/jbrowse/data"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#link_analyses.cwl/PATH"
                },
                {
                    "type": "File",
                    "id": "#link_analyses.cwl/in_dummy"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#link_analyses.cwl/tree"
                }
            ],
            "outputs": [],
            "id": "#link_analyses.cwl",
            "hints": [
                {
                    "class": "LoadListingRequirement",
                    "loadListing": "deep_listing"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "ln"
            ],
            "arguments": [
                {
                    "prefix": "-si",
                    "position": 1,
                    "valueFrom": "../../scaffold/bigwig"
                },
                {
                    "prefix": "-t",
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/jbrowse/data"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#link_bigwig.cwl/PATH"
                },
                {
                    "type": "File",
                    "id": "#link_bigwig.cwl/in_dummy"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#link_bigwig.cwl/tree"
                }
            ],
            "outputs": [],
            "id": "#link_bigwig.cwl",
            "hints": [
                {
                    "class": "LoadListingRequirement",
                    "loadListing": "deep_listing"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "creating directory tree",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "mkdir"
            ],
            "arguments": [
                {
                    "prefix": "-p",
                    "position": 1,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/jbrowse/data"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])/$(inputs.deepPATH_analyses[0])/$(inputs.tree[2])"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])/bigwig"
                },
                {
                    "position": 4,
                    "valueFrom": "$(inputs.PATH[1])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])/$(inputs.deepPATH_analyses[0])/remap"
                },
                {
                    "position": 5,
                    "valueFrom": "$(inputs.PATH[2])/$(inputs.tree[0])"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#setup_folder.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#setup_folder.cwl/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#setup_folder.cwl/deepPATH_genomic_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#setup_folder.cwl/tree"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#setup_folder.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "setup_folder.dummy"
                    }
                }
            ],
            "stdout": "setup_folder.dummy",
            "id": "#setup_folder.cwl",
            "hints": [
                {
                    "class": "LoadListingRequirement",
                    "loadListing": "deep_listing"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_apollo2_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_bigwig"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#main/gap_lines"
                },
                {
                    "type": "File",
                    "id": "#main/in_2bi"
                },
                {
                    "type": "File",
                    "id": "#main/in_assembly_readme"
                },
                {
                    "type": "File",
                    "id": "#main/in_cds_fasta"
                },
                {
                    "type": "File",
                    "id": "#main/in_check"
                },
                {
                    "type": "File",
                    "id": "#main/in_extract"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/in_gaps_bigwig"
                },
                {
                    "type": "File",
                    "id": "#main/in_gc_bigwig"
                },
                {
                    "type": "File",
                    "id": "#main/in_genePrediction_readme"
                },
                {
                    "type": "File",
                    "id": "#main/in_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#main/in_genomic_gff"
                },
                {
                    "type": "File",
                    "id": "#main/in_md5checksums"
                },
                {
                    "type": "Directory",
                    "id": "#main/in_names"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/in_protein_fasta"
                },
                {
                    "type": "Directory",
                    "id": "#main/in_seq"
                },
                {
                    "type": "File",
                    "id": "#main/in_trackList_json"
                },
                {
                    "type": "File",
                    "id": "#main/in_trackList_json_bak"
                },
                {
                    "type": "Directory",
                    "id": "#main/in_tracks"
                },
                {
                    "type": "File",
                    "id": "#main/in_tracks_conf"
                },
                {
                    "type": "File",
                    "id": "#main/in_transcript_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/tree"
                }
            ],
            "steps": [
                {
                    "run": "#workflow.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/2blat/PATH"
                        },
                        {
                            "source": "#main/in_2bi",
                            "id": "#main/2blat/in_2bi"
                        },
                        {
                            "source": "#main/setup_folder/out_dummy",
                            "id": "#main/2blat/in_dummy"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/2blat/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/2blat"
                },
                {
                    "run": "#workflow.cwl_2",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/2other_species/PATH"
                        },
                        {
                            "source": "#main/deepPATH_analyses",
                            "id": "#main/2other_species/deepPATH_analyses"
                        },
                        {
                            "source": "#main/deepPATH_apollo2_data",
                            "id": "#main/2other_species/deepPATH_apollo2_data"
                        },
                        {
                            "source": "#main/deepPATH_bigwig",
                            "id": "#main/2other_species/deepPATH_bigwig"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/2other_species/deepPATH_genomic_fasta"
                        },
                        {
                            "source": "#main/gap_lines",
                            "id": "#main/2other_species/gap_lines"
                        },
                        {
                            "source": "#main/in_assembly_readme",
                            "id": "#main/2other_species/in_assembly_readme"
                        },
                        {
                            "source": "#main/in_cds_fasta",
                            "id": "#main/2other_species/in_cds_fasta"
                        },
                        {
                            "source": "#main/setup_folder/out_dummy",
                            "id": "#main/2other_species/in_dummy"
                        },
                        {
                            "source": "#main/in_gaps_bigwig",
                            "id": "#main/2other_species/in_gaps_bigwig"
                        },
                        {
                            "source": "#main/in_gc_bigwig",
                            "id": "#main/2other_species/in_gc_bigwig"
                        },
                        {
                            "source": "#main/in_genePrediction_readme",
                            "id": "#main/2other_species/in_genePrediction_readme"
                        },
                        {
                            "source": "#main/in_genomic_fasta",
                            "id": "#main/2other_species/in_genomic_fasta"
                        },
                        {
                            "source": "#main/in_genomic_gff",
                            "id": "#main/2other_species/in_genomic_gff"
                        },
                        {
                            "source": "#main/in_names",
                            "id": "#main/2other_species/in_names"
                        },
                        {
                            "source": "#main/in_protein_fasta",
                            "id": "#main/2other_species/in_protein_fasta"
                        },
                        {
                            "source": "#main/in_seq",
                            "id": "#main/2other_species/in_seq"
                        },
                        {
                            "source": "#main/in_trackList_json",
                            "id": "#main/2other_species/in_trackList_json"
                        },
                        {
                            "source": "#main/in_trackList_json_bak",
                            "id": "#main/2other_species/in_trackList_json_bak"
                        },
                        {
                            "source": "#main/in_tracks",
                            "id": "#main/2other_species/in_tracks"
                        },
                        {
                            "source": "#main/in_tracks_conf",
                            "id": "#main/2other_species/in_tracks_conf"
                        },
                        {
                            "source": "#main/in_transcript_fasta",
                            "id": "#main/2other_species/in_transcript_fasta"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/2other_species/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/2other_species"
                },
                {
                    "run": "#workflow.cwl_3",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/2working_files/PATH"
                        },
                        {
                            "source": "#main/in_check",
                            "id": "#main/2working_files/in_check"
                        },
                        {
                            "source": "#main/setup_folder/out_dummy",
                            "id": "#main/2working_files/in_dummy"
                        },
                        {
                            "source": "#main/in_extract",
                            "id": "#main/2working_files/in_extract"
                        },
                        {
                            "source": "#main/in_md5checksums",
                            "id": "#main/2working_files/in_md5checksums"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/2working_files/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/2working_files"
                },
                {
                    "run": "#link_analyses.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/link_analyses/PATH"
                        },
                        {
                            "source": "#main/setup_folder/out_dummy",
                            "id": "#main/link_analyses/in_dummy"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/link_analyses/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/link_analyses"
                },
                {
                    "run": "#link_bigwig.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/link_bigwig/PATH"
                        },
                        {
                            "source": "#main/setup_folder/out_dummy",
                            "id": "#main/link_bigwig/in_dummy"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/link_bigwig/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/link_bigwig"
                },
                {
                    "run": "#setup_folder.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/setup_folder/PATH"
                        },
                        {
                            "source": "#main/deepPATH_analyses",
                            "id": "#main/setup_folder/deepPATH_analyses"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/setup_folder/deepPATH_genomic_fasta"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/setup_folder/tree"
                        }
                    ],
                    "out": [
                        "#main/setup_folder/out_dummy"
                    ],
                    "id": "#main/setup_folder"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/setup_folder/out_dummy",
                    "id": "#main/out_dummy"
                }
            ],
            "id": "#main",
            "hints": [
                {
                    "class": "LoadListingRequirement",
                    "loadListing": "deep_listing"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                }
            ]
        }
    ],
    "cwlVersion": "v1.2"
}
